## petsc 3.12.4+dfsg1

=== debian/changelog ===
petsc (3.12.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.5.0
  * Build-Depends: gdb

 -- Drew Parsons <dparsons@debian.org>  Sat, 08 Feb 2020 11:28:40 +0800

petsc (3.12.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Thu, 16 Jan 2020 13:12:24 +0800

petsc (3.12.2+dfsg1-2) unstable; urgency=medium

  * install examples in share/petsc subdir (maintain petsc
    installation tree structure)

 -- Drew Parsons <dparsons@debian.org>  Wed, 18 Dec 2019 09:34:48 +1100

petsc (3.12.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * libpetsc3.12-dev-examples: place examples and datafiles in
    /usr/share/petsc. Don't place them in the -dev-common package.
    Closes: #945338.

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Dec 2019 14:57:47 +1100

petsc (3.12.0+dfsg1-2) experimental; urgency=medium

  * apply Depends: ocl-icd-opencl-dev | opencl-dev from 3.11.4+dfsg1-2

 -- Drew Parsons <dparsons@debian.org>  Sun, 13 Oct 2019 20:31:04 +0800

petsc (3.12.0+dfsg1-1) experimental; urgency=medium

  * New upstream release (new ABI).
    - applies patches package_version-b7c30771e93.diff
      and support_HYPRE_2.16.0-PR1696.patch
  * drop debian patch hypre.patch (deprecated)

 -- Drew Parsons <dparsons@debian.org>  Wed, 02 Oct 2019 02:38:24 +0800

petsc (3.11.4+dfsg1-4) unstable; urgency=medium

  [ Christophe Trophime ]
  * Team upload.
  * Do not use /usr/share/doc content in postinst
    Closes: #945338

 -- Andreas Tille <tille@debian.org>  Thu, 12 Dec 2019 13:33:56 +0100

petsc (3.11.4+dfsg1-3) unstable; urgency=medium

  * set MCA btl_base_warn_component_unused to 0 in tests to
    ignore complaints about missing OpenFabrics transports

 -- Drew Parsons <dparsons@debian.org>  Tue, 12 Nov 2019 02:52:48 +0900

petsc (3.11.4+dfsg1-2) unstable; urgency=medium

  * add Depends: ocl-icd-opencl-dev | opencl-dev to
    versioned libpetsc*-dev packages, to satisfy -lOpenCL when
    building against PETSc.
  * drop --useThreads=0 configuration option. It is for internal use
    only (mpiexec timeout), see upstream issue #394. It had been added
    in 2.3.2-3 to help hppa builds, but never fixed builds anyway.
    Thanks Martin Diehl for drawing attention to it in Bug#927927.

 -- Drew Parsons <dparsons@debian.org>  Fri, 04 Oct 2019 12:31:42 +0800

petsc (3.11.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patch HDF5_refactor_6a0bd752.diff
      (upstream commit 51e210a targeted at PETSc 3.11, see PR#1943)
  * build with OpenCL GPU support
    Build-Depends: ocl-icd-opencl-dev | opencl-dev
  * skip build-time tests if nocheck is set in DEB_BUILD_OPTIONS
  * remove deprecated configure option --with-fortran-interfaces
    (was removed in PETSc 3.8). Closes: #927927.
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Tue, 01 Oct 2019 18:22:51 +0800
