=== debian/tests/control ===
Tests: test-petsc
Depends: @, @builddeps@
