## petsc 3.13.4+dfsg1

=== debian/changelog ===
petsc (3.13.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * fix path for PETSC64_DIR_REAL in libpetsc64-real3.13-dev.prerm
  * remove errant lintian overrides

 -- Drew Parsons <dparsons@debian.org>  Sun, 09 Aug 2020 13:24:43 +0800

petsc (3.13.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Wed, 08 Jul 2020 01:11:00 +0800

petsc (3.13.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Retrospectively place Adam C. Powell, IV in quotes in old
    changelog entries.

 -- Drew Parsons <dparsons@debian.org>  Tue, 30 Jun 2020 03:31:40 +0800

petsc (3.13.1+dfsg1-4) unstable; urgency=medium

  * add mipsel, hppa to the 32-bit arch list dropping SuiteSparse-64.

 -- Drew Parsons <dparsons@debian.org>  Mon, 22 Jun 2020 11:17:09 +0800

petsc (3.13.1+dfsg1-3exp2) experimental; urgency=medium

  * drop SuiteSparse support for 64-bit builds on 32-bit platforms
    (armel armhf i386 powerpc x32).  Suitesparse does not support
    64-bit indexing on these architectures.

 -- Drew Parsons <dparsons@debian.org>  Sat, 20 Jun 2020 10:15:40 +0800

petsc (3.13.1+dfsg1-3exp1) experimental; urgency=medium

  * Provide petsc64 packages with 64-bit builds (64 bit indexing).
    Closes: #953116.
    - cannot use SuperLU with 64 bit integers
    - 64-bit PETSc needs Hypre with --enable-bigint (or
      --enable-mixedint) which is not yet available.
    - Build-Depends: libmumps64-dev

 -- Drew Parsons <dparsons@debian.org>  Mon, 01 Jun 2020 19:54:28 +0800

petsc (3.13.1+dfsg1-3) unstable; urgency=medium

  * ignore uninstalled binary files in arch-indep builds
    (used to build docs). Closes: #961879.
  * fix dh overrides for build dir cleaning

 -- Drew Parsons <dparsons@debian.org>  Sun, 31 May 2020 14:16:08 +0800

petsc (3.13.1+dfsg1-2) unstable; urgency=medium

  * update versioned build-dependencies:
    libsuitesparse-dev (>= 1:5.6.0),
    libsuperlu-dev (>= 5.2.1), libsuperlu-dist-dev (>= 6.1.1)
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Sun, 31 May 2020 00:21:24 +0800

petsc (3.13.1+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * only run tests for arch-any builds. Closes: #960151.
  * apply lintian overrides to let matlab scripts remain executable,
    and test scripts remain not executable.
  * set ts/tutorials/hybrid/run.sh executable in examples package.

 -- Drew Parsons <dparsons@debian.org>  Fri, 15 May 2020 18:54:18 +0800

petsc (3.13.0+dfsg2-1) experimental; urgency=medium

  * New upstream release.
  * update power_grid path in Files-Excluded from debian/copyight
  * build tests (dh_auto_test) run 'make check_build' not 'make test'
  * use pkg-config hdf5-mpi to get configuration for HDF5
    Needs versioned Build-Depends: libhdf5-mpi-dev (>= 1.10.6+repack-1)

 -- Drew Parsons <dparsons@debian.org>  Sat, 11 Apr 2020 21:11:23 +0800
