=== debian/control ===
Source: petsc
Section: devel
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>, Drew Parsons <dparsons@debian.org>
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 13), python3, gfortran,
 pkg-config, dh-python,
 gdb,
 mpi-default-dev (>= 1.0.2),
 ocl-icd-opencl-dev | opencl-dev,
 libblas-dev | libopenblas-dev | libatlas-base-dev | libblas.so,
 liblapack-dev | libopenblas-dev | libatlas-base-dev | liblapack.so,
 libsuitesparse-dev (>= 1:5.6.0),
 libhypre-dev (>= 2.15.1), libptscotch-dev,
 libhdf5-mpi-dev (>= 1.10.6+repack-1),
 libscalapack-mpi-dev,
 libmumps-dev, libmumps64-dev,
 libfftw3-dev, libfftw3-mpi-dev, libssl-dev,
 libsuperlu-dev (>= 5.2.1), libsuperlu-dist-dev (>= 6.1.1),
 libjs-mathjax,
 libjs-jquery, libjs-jquery-ui
Vcs-Git: https://salsa.debian.org/science-team/petsc.git
Vcs-Browser: https://salsa.debian.org/science-team/petsc
Homepage: http://www.mcs.anl.gov/petsc

Package: petsc-dev
Architecture: all
Section: libdevel
Depends: libpetsc-real-dev, ${misc:Depends}
Description: Virtual package depending on latest PETSc development package
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This metapackage installs libpetsc-real-dev, which will always depend
 on the most recent version of PETSc with real number support. So if
 you install it then you will get upgrades automatically.

Package: libpetsc-real-dev
Architecture: all
Section: libdevel
Depends: libpetsc-real3.13-dev, ${misc:Depends}
Description: Virtual package depending on latest PETSc development package
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This is a dummy package which depends on the most recent version of
 libpetsc-realX-dev with real number support (X=version).

Package: libpetsc-complex-dev
Architecture: all
Section: libdevel
Depends: libpetsc-complex3.13-dev, ${misc:Depends}
Description: Virtual package depending on latest PETSc development package
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This is a dummy package which depends on the most recent version of
 libpetsc-complexX-dev with complex number support (X=version).

Package: libpetsc-real3.13-dev
Multi-Arch: same
Architecture: any
Section: libdevel
Depends: libpetsc-real3.13 (= ${binary:Version}),
 libpetsc3.13-dev-common (= ${source:Version}),
 ${MPI:Depends},
 libsuitesparse-dev,
 libhypre-dev (>= 2.15.1), libptscotch-dev, libscalapack-mpi-dev,
 libmumps-dev, libfftw3-dev, libfftw3-mpi-dev, libssl-dev,
 ocl-icd-opencl-dev | opencl-dev,
 gfortran, ${fortran-mod-version},
 libhdf5-mpi-dev (>= 1.8.8), libsuperlu-dev (>= 5.2), libsuperlu-dist-dev,
 ${misc:Depends}, python3, ${python3:Depends}
Conflicts: libpetsc3.6.3-dev (<< 3.6.3.dfsg2-2), libpetsc-complex-3.6.3-dev (<< 3.6.3.dfsg2-2),
 libpetsc3.6.2-dev (<= 3.6.2.dfsg1-3), libpetsc-complex-3.6.2-dev (<= 3.6.2.dfsg1-3)
Recommends: libpetsc3.13-dev-examples, ksh | mksh | pdksh | zsh
Suggests: petsc-dev, libpetsc-real3.13-dbg (= ${binary:Version}), petsc3.13-doc, libluminate-dev
Description: Static libraries, shared links, header files for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific
 Computation", a suite of data structures and routines for the
 scalable (parallel) solution of scientific applications modeled by
 partial differential equations.  It employs the MPI standard for all
 message-passing communication.  Several sample scientific
 applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package provides the development files for building applications
 using PETSc 3.13 with real numbers.

Package: libpetsc-real3.13
Architecture: any
Multi-Arch: same
Section: libs
Provides: libpetsc3.13
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libpetsc3.6 (<< 3.6.2.dfsg1-4)
Replaces: libpetsc3.6 (<< 3.6.2.dfsg1-4)
Description: Shared libraries for version 3.13 of PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific
 Computation", a suite of data structures and routines for the
 scalable (parallel) solution of scientific applications modeled by
 partial differential equations.  It employs the MPI standard for all
 message-passing communication.  Several sample scientific
 applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package contains the PETSc 3.13 shared library for real numbers.
 .
 It provides soname libpetsc-real3.13

Package: libpetsc3.13-dev-common
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: libjs-jquery, libjs-jquery-ui,
 libjs-mathjax,
 ${misc:Depends}, ${python3:Depends}
Recommends: libpetsc-real3.13-dev | libpetsc-complex3.13-dev
Description: Common header and support dev files for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific
 Computation", a suite of data structures and routines for the
 scalable (parallel) solution of scientific applications modeled by
 partial differential equations.  It employs the MPI standard for all
 message-passing communication.  Several sample scientific
 applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package provides header and other support files common to the
 various dev packages (with real or complex number support) for PETSc 3.13.

Package: libpetsc3.13-dev-examples
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}, ${python3:Depends},
 libjs-mathjax
Recommends: ksh | mksh | pdksh | zsh,
 libpetsc-real3.13-dev | libpetsc-complex3.13-dev | libpetsc-real3.13-dbg | libpetsc-complex3.13-dbg
Suggests: petsc3.13-doc
Description: Static libraries, shared links, header files for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific
 Computation", a suite of data structures and routines for the
 scalable (parallel) solution of scientific applications modeled by
 partial differential equations.  It employs the MPI standard for all
 message-passing communication.  Several sample scientific
 applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package provides example, test, and tutorial scripts for PETSc 3.13.

Package: libpetsc-real3.13-dbg
Architecture: any
Multi-Arch: same
Section: debug
Pre-Depends: ${misc:Pre-Depends}
Depends: libpetsc-real3.13-dev (= ${binary:Version}),
 libpetsc3.13-dev-common (= ${source:Version}),
 ${fortran-mod-version},
 ${misc:Depends}, ${shlibs:Depends},
 python3, ${python3:Depends}
Recommends: libpetsc3.13-dev-examples, ksh | mksh | pdksh | zsh
Provides: petsc3.13-dbg
Description: Debugging libraries for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific
 Computation", a suite of data structures and routines for the
 scalable (parallel) solution of scientific applications modeled by
 partial differential equations.  It employs the MPI standard for all
 message-passing communication.  Several sample scientific
 applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package provides the development files and debugging libraries for
 debugging applications using PETSc 3.13 with real numbers.
 .
 Libraries include unstripped symbols, but this package is also built with
 internal PETSc debugging activated.

Package: petsc3.13-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Suggests: libpetsc-real3.13-dev (= ${binary:Version}), illuminator-doc
Description: Documentation and examples for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific
 Computation", a suite of data structures and routines for the
 scalable (parallel) solution of scientific applications modeled by
 partial differential equations.  It employs the MPI standard for all
 message-passing communication.  Several sample scientific
 applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package contains documentation for developing with PETSc 3.13.

Package: libpetsc-complex3.13-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpetsc-complex3.13 (= ${binary:Version}),
 libpetsc3.13-dev-common (= ${source:Version}),
 ${MPI:Depends},
 libsuitesparse-dev,
 libptscotch-dev, libscalapack-mpi-dev,
 libmumps-dev, libfftw3-dev, libfftw3-mpi-dev, libssl-dev,
 ocl-icd-opencl-dev | opencl-dev,
 gfortran, ${fortran-mod-version},
 libhdf5-mpi-dev (>= 1.8.8), libsuperlu-dev (>= 5.2), libsuperlu-dist-dev,
 ${misc:Depends}, python3, ${python3:Depends}
Conflicts: libpetsc-complex-3.6.3-dev (<< 3.6.3.dfsg2-2), libpetsc3.6.3-dev (<< 3.6.3.dfsg2-2),
 libpetsc3.6.2-dev (<= 3.6.2.dfsg1-3), libpetsc-complex-3.6.2-dev (<= 3.6.2.dfsg1-3)
Recommends: libpetsc3.13-dev-examples, ksh | mksh | pdksh | zsh
Suggests: petsc-dev, libpetsc-complex3.13-dbg (= ${binary:Version}), petsc3.13-doc, libluminate-dev
Description: Static libraries, shared links, header files for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific
 Computation", a suite of data structures and routines for the
 scalable (parallel) solution of scientific applications modeled by
 partial differential equations.  It employs the MPI standard for all
 message-passing communication.  Several sample scientific
 applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package provides the development files for building applications
 using PETSc 3.13 with support for complex numbers.
 .
 Note HYPRE is not supported with PETSc complex.

Package: libpetsc-complex3.13
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libpetsc-complex-3.6 (<< 3.6.2.dfsg1-4)
Replaces: libpetsc-complex-3.6 (<< 3.6.2.dfsg1-4)
Description: Shared libraries for version 3.13 of PETSc with Complex Numbers
 PETSc is the "Portable Extensible Toolkit for Scientific
 Computation", a suite of data structures and routines for the
 scalable (parallel) solution of scientific applications modeled by
 partial differential equations.  It employs the MPI standard for all
 message-passing communication.  Several sample scientific
 applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package contains the PETSc 3.13 shared library, supporting
 complex numbers.
 .
 It provides soname libpetsc-complex3.13

Package: libpetsc-complex3.13-dbg
Architecture: any
Multi-Arch: same
Section: debug
Pre-Depends: ${misc:Pre-Depends}
Depends: libpetsc-complex3.13-dev (= ${binary:Version}),
 libpetsc3.13-dev-common (= ${source:Version}),
 ${fortran-mod-version},
 ${misc:Depends}, ${shlibs:Depends},
 python3, ${python3:Depends}
Recommends: libpetsc3.13-dev-examples, ksh | mksh | pdksh | zsh
