=== debian/rules ===
--- 
+++ 
@@ -69,14 +69,19 @@
 export OMPI_MCA_plm_rsh_agent=/bin/false
 export OMPI_MCA_btl_base_warn_component_unused=0
 
-HDF5_INCLUDE_DIR=$(shell for i in `pkg-config hdf5 --cflags-only-I`; do echo $$i | grep "include/hdf5"; done | sed "s/-I//")
-HDF5_LIBS=$(shell pkg-config hdf5 --libs)
+HDF5_INCLUDE_DIR=$(shell for i in `pkg-config hdf5-mpi --cflags-only-I`; do echo $$i | grep "include/hdf5"; done | sed "s/-I//")
+HDF5_LIBS=$(shell pkg-config hdf5-mpi --libs)
 PETSC_HDF5_FLAGS=--with-hdf5-include=$(HDF5_INCLUDE_DIR) --with-hdf5-lib="$(HDF5_LIBS)"
 
 PETSC_REAL_BUILD_DIR=$(PETSC_ARCH)-real
 PETSC_REAL_DEBUG_BUILD_DIR=$(PETSC_ARCH)-real-debug
 PETSC_COMPLEX_BUILD_DIR=$(PETSC_ARCH)-complex
 PETSC_COMPLEX_DEBUG_BUILD_DIR=$(PETSC_ARCH)-complex-debug
+
+PETSC64_REAL_BUILD_DIR=$(PETSC_ARCH)-real-64
+PETSC64_REAL_DEBUG_BUILD_DIR=$(PETSC_ARCH)-real-debug-64
+PETSC64_COMPLEX_BUILD_DIR=$(PETSC_ARCH)-complex-64
+PETSC64_COMPLEX_DEBUG_BUILD_DIR=$(PETSC_ARCH)-complex-debug-64
 
 # PETSC_VERSION is used for the package names, library sonames, and
 # /usr/lib/petscdir subdirectory names.
@@ -89,6 +94,10 @@
 PETSC_REAL_SONAME=petsc-real$(PETSC_SONAME_VERSION)
 PETSC_COMPLEX_SONAME=petsc-complex$(PETSC_SONAME_VERSION)
 
+PETSC64_NAME=petsc64-$(PETSC_SONAME_VERSION)
+PETSC64_REAL_SONAME=petsc64-real$(PETSC_SONAME_VERSION)
+PETSC64_COMPLEX_SONAME=petsc64-complex$(PETSC_SONAME_VERSION)
+
 # debian binary package names
 PETSC_REAL_DEV_PACKAGE=lib$(PETSC_REAL_SONAME)-dev
 PETSC_REAL_PACKAGE=lib$(PETSC_REAL_SONAME)
@@ -96,6 +105,14 @@
 PETSC_COMPLEX_DEV_PACKAGE=lib$(PETSC_COMPLEX_SONAME)-dev
 PETSC_COMPLEX_PACKAGE=lib$(PETSC_COMPLEX_SONAME)
 PETSC_COMPLEX_DEBUG_PACKAGE=lib$(PETSC_COMPLEX_SONAME)-dbg
+
+PETSC64_REAL_DEV_PACKAGE=lib$(PETSC64_REAL_SONAME)-dev
+PETSC64_REAL_PACKAGE=lib$(PETSC64_REAL_SONAME)
+PETSC64_REAL_DEBUG_PACKAGE=lib$(PETSC64_REAL_SONAME)-dbg
+PETSC64_COMPLEX_DEV_PACKAGE=lib$(PETSC64_COMPLEX_SONAME)-dev
+PETSC64_COMPLEX_PACKAGE=lib$(PETSC64_COMPLEX_SONAME)
+PETSC64_COMPLEX_DEBUG_PACKAGE=lib$(PETSC64_COMPLEX_SONAME)-dbg
+
 PETSC_DEV_COMMON_PACKAGE=lib$(PETSC_NAME)-dev-common
 export PETSC_DOC_PACKAGE=petsc$(PETSC_SONAME_VERSION)-doc
 export PETSC_DEV_EXAMPLE_PACKAGE=lib$(PETSC_NAME)-dev-examples
@@ -107,10 +124,20 @@
 export PETSC_COMPLEX_DIR_PREFIX=/usr/lib/petscdir/$(PETSC_NAME)/$(PETSC_ARCH)-complex
 export PETSC_COMPLEX_DEBUG_DIR_PREFIX=/usr/lib/petscdir/$(PETSC_NAME)/$(PETSC_ARCH)-complex-debug
 
+export PETSC64_REAL_DIR_PREFIX=/usr/lib/petscdir/$(PETSC64_NAME)/$(PETSC_ARCH)-real
+export PETSC64_REAL_DIR_DEBUG_PREFIX=/usr/lib/petscdir/$(PETSC64_NAME)/$(PETSC_ARCH)-real-debug
+export PETSC64_COMPLEX_DIR_PREFIX=/usr/lib/petscdir/$(PETSC64_NAME)/$(PETSC_ARCH)-complex
+export PETSC64_COMPLEX_DEBUG_DIR_PREFIX=/usr/lib/petscdir/$(PETSC64_NAME)/$(PETSC_ARCH)-complex-debug
+
 PACKAGE_REAL_INSTALL_DIR=debian/tmp/$(PETSC_NAME)-real
 export PACKAGE_REAL_DEBUG_INSTALL_DIR=debian/tmp/$(PETSC_NAME)-real-debug
 PACKAGE_COMPLEX_INSTALL_DIR=debian/tmp/$(PETSC_NAME)-complex
 PACKAGE_COMPLEX_DEBUG_INSTALL_DIR=debian/tmp/$(PETSC_NAME)-complex-debug
+
+PACKAGE_64_REAL_INSTALL_DIR=debian/tmp/$(PETSC64_NAME)-real
+export PACKAGE_64_REAL_DEBUG_INSTALL_DIR=debian/tmp/$(PETSC64_NAME)-real-debug
+PACKAGE_64_COMPLEX_INSTALL_DIR=debian/tmp/$(PETSC64_NAME)-complex
+PACKAGE_64_COMPLEX_DEBUG_INSTALL_DIR=debian/tmp/$(PETSC64_NAME)-complex-debug
 
 CONFIGURATION_OPTIONS=--with-shared-libraries --with-pic=1 \
 	  --with-cc=mpicc --with-cxx=mpicxx --with-fc=mpif90 \
@@ -118,38 +145,6 @@
 	  --with-opencl=1 \
 	  --with-blas-lib=-lblas --with-lapack-lib=-llapack \
 	  --with-scalapack=1 --with-scalapack-lib=-lscalapack-$(PETSC_MPI) \
-	  --with-mumps=1 --with-mumps-include=[] --with-mumps-lib="-ldmumps -lzmumps -lsmumps -lcmumps -lmumps_common -lpord" \
-	  --with-suitesparse=1 --with-suitesparse-include=/usr/include/suitesparse --with-suitesparse-lib="-lumfpack -lamd -lcholmod -lklu" \
 	  --with-ptscotch=1 --with-ptscotch-include=/usr/include/scotch --with-ptscotch-lib="-lptesmumps -lptscotch -lptscotcherr" \
 	  --with-fftw=1 --with-fftw-include=[] --with-fftw-lib="-lfftw3 -lfftw3_mpi" \
-	  --with-superlu=1 --with-superlu-include=/usr/include/superlu --with-superlu-lib=-lsuperlu \
 	  --with-superlu_dist=1 --with-superlu_dist-include=/usr/include/superlu-dist --with-superlu_dist-lib=-lsuperlu_dist \
-	  $(PETSC_HDF5_FLAGS) --CXX_LINKER_FLAGS="-Wl,--no-as-needed"
-
-
-# hypre is only supported with real numbers, not complex
-HYPRE_CONFIG=--with-hypre=1 --with-hypre-include=/usr/include/hypre \
-	  --with-hypre-lib="-lHYPRE_core"
-
-# main packaging script based on dh7 syntax
-%:
-	dh $@ --with python3
-
-override_dh_auto_clean:
-	if [ -d $(PETSC_REAL_DEBUG_BUILD_DIR) ]; then \
-	  dh_auto_clean -p$(PETSC_REAL_DEBUG_PACKAGE) -p$(PETSC_DOC_PACKAGE) -- \
-	    PETSC_DIR=$(CURDIR) PETSC_ARCH=$(PETSC_REAL_DEBUG_BUILD_DIR); \
-	fi
-	if [ -d $(PETSC_REAL_BUILD_DIR) ]; then \
-	dh_auto_clean -p$(PETSC_REAL_DEV_PACKAGE) -- \
-	  PETSC_DIR=$(CURDIR) PETSC_ARCH=$(PETSC_REAL_BUILD_DIR); \
-	fi
-	if [ -d $(PETSC_COMPLEX_BUILD_DIR) ]; then \
-	dh_auto_clean -p$(PETSC_COMPLEX_DEV_PACKAGE) -- \
-	  PETSC_DIR=$(CURDIR) PETSC_ARCH=$(PETSC_COMPLEX_BUILD_DIR); \
-	fi
-	if [ -d $(PETSC_COMPLEX_DEBUG_BUILD_DIR) ]; then \
-	dh_auto_clean -p$(PETSC_COMPLEX_DEBUG_PACKAGE) -- \
-	  PETSC_DIR=$(CURDIR) PETSC_ARCH=$(PETSC_COMPLEX_DEBUG_BUILD_DIR); \
-	fi
-
