## petsc 3.14.5%2Bdfsg1

=== debian/tests/control ===
Tests: test-petsc, test-petsc64
Depends: @, @builddeps@
